# ExecOperations

@ServiceScope(value = [Build::class, Project::class])
interface ExecOperations

Process execution operations.

An instance of this type can be injected into a task, plugin or other object by annotating a public constructor or property getter method with `javax.inject.Inject`.

#### Since

6.0

## Functions

exec
Link copied to clipboard
abstract fun exec(action: Action<in ExecSpec>): ExecResult
Executes the specified external process.
javaexec
Link copied to clipboard
abstract fun javaexec(action: Action<in JavaExecSpec>): ExecResult
Executes the specified external `java` process.